Package com.smartgwt.client.types

# Enum ConnectorStyle

java.lang.Object
java.lang.Enum<ConnectorStyle>
com.smartgwt.client.types.ConnectorStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ConnectorStyle>`, `Constable`

public enum ConnectorStyle extends Enum<ConnectorStyle> implements ValueEnum
Supported styles of connector styles.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DIAGONAL`
  Center segment is drawn diagonally between tail connector segments
  `RIGHTANGLE`
  Center segment is drawn perpendicular to tail connector segments

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ConnectorStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ConnectorStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DIAGONAL

    public static final ConnectorStyle DIAGONAL
    Center segment is drawn diagonally between tail connector segments

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "diagonal".

  - ### RIGHTANGLE

    public static final ConnectorStyle RIGHTANGLE
    Center segment is drawn perpendicular to tail connector segments

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "rightAngle".

- ## Method Details

  - ### values

    public static ConnectorStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ConnectorStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`